<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj"
    android:focusable="true"
    android:id="@+id/root"
    android:clickable="true">

    <RelativeLayout
        android:layout_marginLeft="50dp"
        android:layout_marginRight="50dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="10dp"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <RelativeLayout
            android:layout_marginTop="46dp"
            android:layout_marginBottom="55dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--菜谱名称行-->
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@color/color1">

                            <ImageView
                                android:id="@+id/cpfm"
                                android:layout_width="160dp"
                                android:layout_height="100dp"
                                android:layout_marginStart="3dp"
                                android:layout_marginTop="3dp"
                                android:layout_marginEnd="3dp"
                                android:layout_marginBottom="3dp"
                                android:src="@mipmap/loading3" />
                        </RelativeLayout>
                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:textAlignment="center"
                            android:text="商品封面"
                            android:textSize="18dp"/>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_marginLeft="@dimen/dp_40"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <LinearLayout
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginBottom="12dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="商品名称："
                                android:textSize="18dp"/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/edittext"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="text"
                                android:maxLines="1"
                                android:maxLength="30"
                                android:padding="3dp"
                                android:textSize="18dp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_marginBottom="12dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="商品外键："
                                android:textSize="18dp"/>
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/edittext1"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入"
                                android:inputType="text"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:textSize="18dp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_marginBottom="12dp"
                            android:layout_width="match_parent"
                            android:layout_height="30dp">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="30dp"
                                android:text="商品分类："
                                android:textSize="18dp"/>
                            <!--账号输入框-->
                            <Spinner
                                android:id="@+id/editsp_fl"
                                style="@style/commonSpinnerStyle"
                                android:layout_width="match_parent"
                                android:layout_height="24dp"
                                android:layout_centerVertical="true"
                                android:textSize="18dp"/>
                        </LinearLayout>

                    </LinearLayout>
                </LinearLayout>

                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/color3" />

                <!--物料类型-->
                <RelativeLayout
                    android:layout_marginTop="0dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <TextView
                        android:layout_centerHorizontal="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="物料列表"
                        android:textSize="16dp"/>

                    <LinearLayout
                        android:layout_marginTop="30dp"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                            <ScrollView
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">
                                <androidx.recyclerview.widget.RecyclerView
                                    android:id="@+id/recycler_view_wl"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"/>
                            </ScrollView>
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>
        </RelativeLayout>

        <LinearLayout
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_centerHorizontal="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <Button
                android:id="@+id/xinjian"
                android:layout_width="200dp"
                android:layout_height="40dp"
                android:background="@drawable/bg_btn_login_selected"
                android:text="保存"
                android:textColor="@color/white"
                android:textSize="18sp"/>

            <Button
                android:id="@+id/save_xinjian"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_width="200dp"
                android:layout_height="40dp"
                android:background="@drawable/button1"
                android:text="保存并创建配方"
                android:textColor="@color/black"
                android:textSize="18sp"/>
        </LinearLayout>
    </RelativeLayout>
</RelativeLayout>